Package twisted :: Package web :: Package woven :: Module template :: Class INodeMutator

[show private | hide private]
[frames | no frames]

## Class INodeMutator

    Interface --+
                |
               INodeMutator

A component that implements NodeMutator knows how to mutate DOM based on the instructions in the object it wraps.

Method Summary
| ``generate`(self, request, node)` The generate method should do the work of mutating the DOM based on the object this adapter wraps.

Method Details

### generate(self, request, node)

The generate method should do the work of mutating the DOM based on the object this adapter wraps.

Generated by Epydoc 1.1 on Sat Feb 15 21:18:20 2003 | http://epydoc.sf.net